Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.io
Class UnsignedInteger32

    java.lang.Object
      java.lang.Number
          com.sshtools.j2ssh.io.UnsignedInteger32

All Implemented Interfaces:
  java.io.Serializable

public class UnsignedInteger32
extends java.lang.Number
implements java.io.Serializable

DOCUMENT ME!

See Also:
  Serialized Form

Field Summary
`static long` | `MAX_VALUE` DOCUMENT ME!
`static long` | `MIN_VALUE` DOCUMENT ME!

Constructor Summary
`UnsignedInteger32(long a)` Creates a new UnsignedInteger32 object.
`UnsignedInteger32(java.lang.String a)` Creates a new UnsignedInteger32 object.

Method Summary
`static UnsignedInteger32` | `add(UnsignedInteger32 x, int y)` DOCUMENT ME!
`static UnsignedInteger32` | `add(UnsignedInteger32 x, UnsignedInteger32 y)` DOCUMENT ME!
`byte` | `byteValue()` DOCUMENT ME!
`double` | `doubleValue()` DOCUMENT ME!
`boolean` | `equals(java.lang.Object o)` DOCUMENT ME!
`float` | `floatValue()` DOCUMENT ME!
`int` | `hashCode()` DOCUMENT ME!
`int` | `intValue()` DOCUMENT ME!
`long` | `longValue()` DOCUMENT ME!
`short` | `shortValue()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_VALUE

    public static final long MAX_VALUE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MIN_VALUE

    public static final long MIN_VALUE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### UnsignedInteger32

    public UnsignedInteger32(long a)

  Creates a new UnsignedInteger32 object.

Parameters:
  `a` - DOCUMENT ME!
Throws:
  `java.lang.NumberFormatException` - DOCUMENT ME!

### UnsignedInteger32

    public UnsignedInteger32(java.lang.String a)
                      throws java.lang.NumberFormatException

  Creates a new UnsignedInteger32 object.

Parameters:
  `a` - DOCUMENT ME!
Throws:
  `java.lang.NumberFormatException` - DOCUMENT ME!

Method Detail

### byteValue

    public byte byteValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### shortValue

    public short shortValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### intValue

    public int intValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### longValue

    public long longValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### floatValue

    public float floatValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### doubleValue

    public double doubleValue()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### hashCode

    public int hashCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### equals

    public boolean equals(java.lang.Object o)

  DOCUMENT ME!

  Parameters:
    `o` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### add

    public static UnsignedInteger32 add(UnsignedInteger32 x,
                                        UnsignedInteger32 y)

  DOCUMENT ME!

  Parameters:
    `x` - DOCUMENT ME!
    `y` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### add

    public static UnsignedInteger32 add(UnsignedInteger32 x,
                                        int y)

  DOCUMENT ME!

  Parameters:
    `x` - DOCUMENT ME!
    `y` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD